#
#	Apple Macintosh Developer Technical Support
#
#	MultiFinder-Aware Simple SendSample Application
#
#	SendSample
#
#	[C]SendSample.make	-	Make Source
#
#	Copyright  1989 Apple Computer, Inc.
#	All rights reserved.
#
#	Versions:	
#				1.00				08/88
#				1.01				11/88
#				1.02				04/89	MPW 3.1
#
#	Components:
#				SendSample.p			April 1, 1989
#				SendSample.c			April 1, 1989
#				SendSample.a			April 1, 1989
#				SendSample.inc1.a		April 1, 1989
#				SendSampleMisc.a		April 1, 1989
#				SendSample.r			April 1, 1989
#				SendSample.h			April 1, 1989
#				[P]SendSample.make		April 1, 1989
#				[C]SendSample.make		April 1, 1989
#				[A]SendSample.make		April 1, 1989
#
#	SendSample is an example application that demonstrates how to
#	initialize the commonly used toolbox managers, operate 
#	successfully under MultiFinder, handle desk accessories, 
#	and create, grow, and zoom windows.
#
#	It does not by any means demonstrate all the techniques 
#	you need for a large application. In particular, SendSample 
#	does not cover exception handling, multiple windows/documents, 
#	sophisticated memory management, printing, or undo. All of 
#	these are vital parts of a normal full-sized application.
#
#	This application is an example of the form of a Macintosh 
#	application; it is NOT a template. It is NOT intended to be 
#	used as a foundation for the next world-class, best-selling, 
#	600K application. A stick figure drawing of the human body may 
#	be a good example of the form for a painting, but that does not 
#	mean it should be used as the basis for the next Mona Lisa.
#
#	We recommend that you review this program or TESendSample before 
#	beginning a new application.
#
# 	You can define {SymOptions} as "-sym on" or "-sym off" for use with SADE
# 	We also recommend requiring prototypes for all functions
COptions = -r {SymOptions}
							
CObjs		= SendSample.c.o 
		"{CLibraries}"CRuntime.o 
		"{CLibraries}"StdCLib.o 
		"{CLibraries}"CInterface.o 
		"{Libraries}"Interface.o

SendSample		 {CObjs} SendSample.make
		Link -o {Targ} {CObjs} {SymOptions}
		SetFile {Targ} -t APPL -c 'MOOS' -a B

SendSample		 SendSample.r SendSample.h SendSample.make
		Rez -rd -o {Targ} SendSample.r -append

SendSample.c.o	 SendSample.make
