#   File:       WindowDef.make
#   Target:     WindowDef
#   Sources:    WindowDef_main.cp WindowDef.cp VTables.cp A5World.cp SwapA5.a
#   Created:    Wednesday, April 25, 1990 2:52:24 AM

CC = CPlus -mf -b -vtbl0

OBJECTS = 
		WindowDef_main.cp.o 
		IconWDEF.cp.o 
		WindowFrame.cp.o 
		VirtualWorld.cp.o 
		IconWDEF_VTables.cp.o

IconWDef  {OBJECTS}
	Link -w -t rsrc -c RSED -rt WDEF -m MAIN -sg 'C++ WindowDef' 
		{OBJECTS} 
		"{CLibraries}"CSANELib.o 
		"{CLibraries}"Math.o 
		"{CLibraries}"CplusLib.o 
		"{CLibraries}"StdCLib.o 
		"{CLibraries}"CInterface.o 
		"{CLibraries}"CRuntime.o 
		"{Libraries}"Interface.o 
		-o IconWDef
	duplicate -y IconWDef WDEF_Tester..rsrc

WindowDef_main.cp.o  WindowDef_main.cp IconWDEF.h IconWDEF.h WindowFrame.h WindowDefinition.h
	{CC} WindowDef_main.cp
IconWDEF.cp.o  IconWDEF.cp IconWDEF.h WindowFrame.h WindowDefinition.h
	{CC} IconWDEF.cp
WindowFrame.cp.o  WindowFrame.cp  WindowFrame.h WindowDefinition.h
	{CC} WindowFrame.cp
VirtualWorld.cp.o  VirtualWorld.cp VirtualWorld.h
	{CC} VirtualWorld.cp
IconWDEF_VTables.cp.o  IconWDEF_VTables.cp IconWDEF.h WindowFrame.h
	ProcessVTables -s IconWDEF_VTables.cp
