#   File:       WindowDef.make
#   Target:     WindowDef
#   Sources:    WindowDef_main.cp WindowDef.cp VTables.cp A5World.cp SwapA5.a
#   Created:    Wednesday, April 25, 1990 2:52:24 AM

CC = CPlus -mf -b -vtbl0

OBJECTS = 
		WindowDef_main.cp.o 
		Windoid.cp.o 
		VirtualWorld.cp.o 
		WindoidVTables.cp.o

Windoid  {OBJECTS}
	Link -w -t rsrc -c RSED -rt WDEF -m MAIN -sg 'C++ WindowDef' 
		{OBJECTS} 
		"{CLibraries}"CSANELib.o 
		"{CLibraries}"Math.o 
		"{CLibraries}"CplusLib.o 
		"{CLibraries}"StdCLib.o 
		"{CLibraries}"CInterface.o 
		"{CLibraries}"CRuntime.o 
		"{Libraries}"Interface.o 
		-o Windoid
	duplicate -y Windoid WDEF_Tester..rsrc

WindowDef_main.cp.o  WindowDef_main.cp Windoid.h WindowDefinition.h
	{CC} WindowDef_main.cp
Windoid.cp.o  Windoid.cp Windoid.h WindowDefinition.h
	{CC} Windoid.cp
VirtualWorld.cp.o  VirtualWorld.cp VirtualWorld.h
	{CC} VirtualWorld.cp
WindoidVTables.cp.o  WindoidVTables.cp Windoid.h WindowDefinition.h
	ProcessVTables -s WindoidVTables.cp
