#   File:       WindowFrame.make
#   Target:     WindowFrame
#   Sources:    WindowDef_main.cp WindowFrame.cp VTables.cp
#   Created:    Wednesday, April 25, 1990 2:52:24 AM

CC = CPlus -mf -b -vtbl0

OBJECTS = 
		WindowDef_main.cp.o 
		WindowFrame.cp.o 
		VirtualWorld.cp.o 
		WindowFrame_VTables.cp.o

WindowFrame  {OBJECTS}
	Link -w -t rsrc -c RSED -rt WDEF -m MAIN -sg 'C++ WindowDef' 
		{OBJECTS} 
		"{CLibraries}"CSANELib.o 
		"{CLibraries}"Math.o 
		"{CLibraries}"CplusLib.o 
		"{CLibraries}"StdCLib.o 
		"{CLibraries}"CInterface.o 
		"{CLibraries}"CRuntime.o 
		"{Libraries}"Interface.o 
		-o WindowFrame
	duplicate -y WindowFrame WDEF_Tester..rsrc

WindowDef_main.cp.o  WindowDef_main.cp WindowFrame.h WindowDefinition.h VirtualWorld.h Relocatable.h
	{CC} WindowDef_main.cp
WindowFrame.cp.o  WindowFrame.cp WindowDefinition.h VirtualWorld.h Relocatable.h
	{CC} WindowFrame.cp
VirtualWorld.cp.o  VirtualWorld.cp VirtualWorld.h Relocatable.h
	{CC} VirtualWorld.cp
WindowFrame_VTables.cp.o  WindowFrame_VTables.cp WindowFrame.h
	ProcessVTables -s WindowFrame_VTables.cp
